%define download %{_builddir}/%{lname}-%{version}/download
%define name        handbrake
%define lname       HandBrake
%define version     1.0.7
%define Summary     MPEG-AVC(H.264)/MPEG-4 converter
%define major       1
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name %major -d

Summary:        %Summary
Summary(de):	DVD nach MPEG-4-Konverter.
Name:           %name
Version:        %version
Release:        %mkrel 2
License:        GPL
Group:          Video
URL:            http://handbrake.fr/
Source0:        https://download.handbrake.fr/releases/%{version}/%{lname}-%{version}.tar.xz
Source1:        https://download.handbrake.fr/handbrake/contrib/libav-12.tar.gz
Source2:        https://download.handbrake.fr/handbrake/contrib/libbluray-0.9.3.tar.bz2
Source3:        https://download.handbrake.fr/handbrake/contrib/libdvdnav-5.0.1.tar.bz2
Source4:        https://download.handbrake.fr/handbrake/contrib/libdvdread-5.0.0-6-gcb1ae87.tar.gz
Source5:        https://download.handbrake.fr/contrib/libvpx-1.5.0.tar.bz2
Source6:        https://download.handbrake.fr/contrib/x265_2.1-1.tar.gz
BuildRoot:      %_tmppath/%name-%version-buildroot
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  m4
BuildRequires:	yasm 
BuildRequires:	zlib1-devel 
BuildRequires:	%{_lib}bzip2-devel
BuildRequires:	lame-devel
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRequires:  pkgconfig(x264)
Obsoletes:	handbrakegtk
Requires:	gtk+3.0

%description
HandBrake is an open-source, GPL-licensed, multiplatform,
multithreaded DVD to MPEG-4 converter, available for MacOS
X, Linux and Windows. It is a video encoder that takes your
movies and transfers them to a format that's useful on your
computers, media centers, and portable electronic devices.

#german
%description -l de
HandBrake ist ein Open-Source, GPL-lizensierter, Multiplattform,
multithreaded DVD zu MPEG-4-Konverter, verfügbar für Mac OS X,
Linux und Windows. Es ist ein Video-Encoder, der Ihre Filme in
das MPEG-4 Format schrumpft, welche Platz sparend auf
Computer-, Medien-Zentren, und tragbaren elektronischen
Geräten.


%prep
%setup -q -n %{lname}-%{version}
%{__mkdir} %download
%{__cp} -t %download %{SOURCE1}
%{__cp} -t %download %{SOURCE2}
%{__cp} -t %download %{SOURCE3}
%{__cp} -t %download %{SOURCE4}
%{__cp} -t %download %{SOURCE5}
%{__cp} -t %download %{SOURCE6}

%global	vpxtarget x86_64-linux-gcc
echo LIBVPX.CONFIGURE.extra += --target=%{vpxtarget} >> contrib/libvpx/module.defs


%build
mkdir -p disable_contrib.fetch-hack

for downloader in wget url; do
  ln -s /bin/false disable_contrib.fetch-hack/${downloader}
done
export PATH=$PWD/disable_contrib.fetch-hack:$PATH

%setup_compile_flags
./configure \
        --prefix=%{_prefix} \
        --launch \
        --launch-jobs=0 \
        --verbose \
        --debug=none

%make_build -C build


%install
rm -rf %buildroot
%make_install -C build

%find_lang ghb

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Encoding" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf %buildroot

%files -f ghb.lang
%defattr(-,root,root)
%doc AUTHORS* COPYING 
%_bindir/*
%_datadir/applications/*
%_datadir/icons/hicolor


%changelog
* Mon Aug 14 2017 bb2 <bb2> - 1.0.7-2pclos2017
- rebuild against updates

* Tue May 02 2017 pp <pp> 1.0.7-1pclos2017
- update

* Thu Aug 20 2015 bb <bb> 0.10.2-1pclos2015
- update
